> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.cable.tech/v-1-0/api-reference/customer-data-api/business/v-1-business-access-info/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cable.tech/_mcp/server. # Add access information POST https://api.cable.tech/v1/business/access_info Content-Type: application/json Business endpoint for adding new access information Reference: https://docs.cable.tech/v-1-0/api-reference/customer-data-api/business/v-1-business-access-info ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Body (application/json) This endpoint expects a list of V1BusinessAccessInfoPostRequestBodyContentApplicationJsonSchemaItems. - `list of V1BusinessAccessInfoPostRequestBodyContentApplicationJsonSchemaItems` ## Response ### 200 Operation success - `success` (boolean, required, default: true) — You probably did something wrong if you set this to false ## Types ### V1BusinessAccessInfoPostRequestBodyContentApplicationJsonSchemaItems - `timestamp` (datetime, required) — Original timestamp relating to this access information creation/change - `data` (V1BusinessAccessInfoPostRequestBodyContentApplicationJsonSchemaItemsData, required) - `parent` (BusinessEntityParent, required) ### V1BusinessAccessInfoPostRequestBodyContentApplicationJsonSchemaItemsData - `ip` (string, optional) — IP address of the connecting client - `device_id` (string, optional) — Device identifier. eg. SSAID / Android ID / Device Fingerprint - `custom` (map from string to any, optional) — Custom data that is relevant. This can be any JSON object. Please include any details and data points that our schema does not capture. ### BusinessEntityParent - `id` (string, required) — Unique external identifier of the parent entity, ID stored in your database / back-office - `type` (enum, required) — Type of the parent entity - Allowed values: `company`, `person` ## Examples **Request** ```json [ { "timestamp": "2024-01-15T09:30:00Z", "data": {}, "parent": { "id": "comp-987654321", "type": "company" } } ] ``` **Response** ```json { "success": true } ``` **SDK Code** ```python import requests url = "https://api.cable.tech/v1/business/access_info" payload = [ { "timestamp": "2024-01-15T09:30:00Z", "data": {}, "parent": { "id": "comp-987654321", "type": "company" } } ] headers = { "x-api-key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.cable.tech/v1/business/access_info'; const options = { method: 'POST', headers: {'x-api-key': '', 'Content-Type': 'application/json'}, body: '[{"timestamp":"2024-01-15T09:30:00Z","data":{},"parent":{"id":"comp-987654321","type":"company"}}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.cable.tech/v1/business/access_info" payload := strings.NewReader("[\n {\n \"timestamp\": \"2024-01-15T09:30:00Z\",\n \"data\": {},\n \"parent\": {\n \"id\": \"comp-987654321\",\n \"type\": \"company\"\n }\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-api-key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.cable.tech/v1/business/access_info") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-api-key"] = '' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"timestamp\": \"2024-01-15T09:30:00Z\",\n \"data\": {},\n \"parent\": {\n \"id\": \"comp-987654321\",\n \"type\": \"company\"\n }\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.cable.tech/v1/business/access_info") .header("x-api-key", "") .header("Content-Type", "application/json") .body("[\n {\n \"timestamp\": \"2024-01-15T09:30:00Z\",\n \"data\": {},\n \"parent\": {\n \"id\": \"comp-987654321\",\n \"type\": \"company\"\n }\n }\n]") .asString(); ``` ```php request('POST', 'https://api.cable.tech/v1/business/access_info', [ 'body' => '[ { "timestamp": "2024-01-15T09:30:00Z", "data": {}, "parent": { "id": "comp-987654321", "type": "company" } } ]', 'headers' => [ 'Content-Type' => 'application/json', 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.cable.tech/v1/business/access_info"); var request = new RestRequest(Method.POST); request.AddHeader("x-api-key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"timestamp\": \"2024-01-15T09:30:00Z\",\n \"data\": {},\n \"parent\": {\n \"id\": \"comp-987654321\",\n \"type\": \"company\"\n }\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-api-key": "", "Content-Type": "application/json" ] let parameters = [ [ "timestamp": "2024-01-15T09:30:00Z", "data": [], "parent": [ "id": "comp-987654321", "type": "company" ] ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.cable.tech/v1/business/access_info")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```